spool e:\cocktail\Mangue\import_bx4\xml\contrats.xml
set heading off
set long 1000
set pagesize 0

PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <CONTRATS>

SELECT XMLElement("CONTRAT",
			XMLFOREST(
				I.NO_INDIVIDU "ID_SOURCE",
				C.NO_CONTRAT_TRAVAIL "CTR_SOURCE",
				C.C_TYPE_CONTRAT_TRAV "C_TYPE_CONTRAT_TRAV",
				C.C_RNE "C_RNE",
				A1.D_DEB_CONTRAT_TRAV "D_DEB_CONTRAT_TRAV",
				A2.D_FIN_CONTRAT_TRAV "D_FIN_CONTRAT_TRAV",
				A1.REFERENCE_CONTRAT "REFERENCE_CONTRAT",
				TEM_FONCTIONNAIRE "TEM_FONCTIONNAIRE",
				TEM_BUDGET_PROPRE "TEM_BUDGET_PROPRE"))	
   FROM CONTRAT_TRAVAIL C,CONTRAT_AVENANT A1,CONTRAT_AVENANT A2,INDIVIDU I, PERSONNEL P, CODE_INSEE CI
   WHERE I.NO_INDIVIDU = C.NO_DOSSIER_PERS
   AND A1.NO_DOSSIER_PERS = C.NO_DOSSIER_PERS
   AND A1.NO_CONTRAT_TRAVAIL = C.NO_CONTRAT_TRAVAIL
   AND A1.NO_AVENANT = 0 
   AND A2.NO_DOSSIER_PERS = C.NO_DOSSIER_PERS
   AND A2.NO_CONTRAT_TRAVAIL = C.NO_CONTRAT_TRAVAIL
   --AND A2.D_FIN_CONTRAT_TRAV=(SELECT MAX(D_FIN_CONTRAT_TRAV) FROM CONTRAT_AVENANT A WHERE A.NO_DOSSIER_PERS = C.NO_DOSSIER_PERS AND A.NO_CONTRAT_TRAVAIL = C.NO_CONTRAT_TRAVAIL)
   AND (A2.D_FIN_CONTRAT_TRAV=(SELECT MAX(D_FIN_CONTRAT_TRAV) FROM CONTRAT_AVENANT A WHERE A.NO_DOSSIER_PERS = C.NO_DOSSIER_PERS AND A.NO_CONTRAT_TRAVAIL = C.NO_CONTRAT_TRAVAIL) OR A2.D_FIN_CONTRAT_TRAV is null)
   AND I.NO_INDIVIDU = P.NO_DOSSIER_PERS
   AND CI.NO_DOSSIER_PERS = P.NO_DOSSIER_PERS;


PROMPT </CONTRATS>
PROMPT </IMPORT>

spool off